Get participant by ticket code

GET/participants/ticket-code/{code}

Retrieves participant and ticket information using the ticket code.

This is a public route: it does not need x-api-key or x-api-secret. Anyone who has the ticket code gets the name of the participant, the ticket and its QR code link.

Path parameters

  • codestringrequired

    Unique ticket code. It must have at least 6 characters.

    min length 6

Responses

200Participant successfully retrieved.

Participant successfully retrieved.

Content typeapplication/jsonobject

  • statusCodeinteger

    Example:200

  • dataobject
    Show child attributesHide child attributes
    • participantobject
      Show child attributesHide child attributes
      • idstring · uuid
      • namestring
      • ticketobject
        Show child attributesHide child attributes
        • idstring · uuid
        • codestring
        • statusstring

          Possible values:availableusedcancelled

        • qrCodeLinkstring
        • valuePaidInCentsinteger
        • eventobject
          Show child attributesHide child attributes
          • namestring
          • coverPictureobject
            Show child attributesHide child attributes
            • namestring
            • pathstring
            • urlstring
            • isPublicboolean
            • extensionstring
          • inPersonSettingsobject
            Show child attributesHide child attributes
            • localNamestring
            • coordinatesobject
              Show child attributesHide child attributes
              • latitudenumber
              • longitudenumber
              • altitudenumber
              • accuracynumber
              • timestampstring · date-time
            • addressobject
              Show child attributesHide child attributes
              • zipCodestring
              • streetstring
              • numberstring
              • complementstring
              • neighborhoodstring
              • citystring
              • statestring
          • supportobject
            Show child attributesHide child attributes
            • namestring
            • emailstring
        • batchobject
          Show child attributesHide child attributes
          • namestring
          • valueInCentsinteger
          • zoneobject
            Show child attributesHide child attributes
            • namestring
            • daysarray of objects
              Show child attributesHide child attributes
              • idstring
              • startsAtstring · date-time
              • endsAtstring · date-time
400If the provided parameter is invalid, the API will return the following error response:

If the provided parameter is invalid, the API will return the following error response:

Content typeapplication/jsonobject

  • messagestring

    Invalid param: []

    Example:Invalid param: []

  • errorstring

    Bad Request

    Example:Bad Request

  • statusCodeinteger

    400

    Example:400

  • errorCodestring

    Code that identifies the error. Present only on some errors.

500If an unexpected condition occurs and the server cannot process the request, the API will return the following error response. This response has no error field.

If an unexpected condition occurs and the server cannot process the request, the API will return the following error response. This response has no error field.

Content typeapplication/jsonobject

  • statusCodeinteger

    HTTP status code.

    Example:500

  • messagestring

    Explanation of the error.

    Example:Internal Server Error